Module jdk.sctp
Package com.sun.nio.sctp

## Class AssociationChangeNotification

- java.lang.Object
- - com.sun.nio.sctp.AssociationChangeNotification

All Implemented Interfaces:
  `Notification`

    public abstract class AssociationChangeNotification
    extends Object
    implements Notification

Notification emitted when an association has either opened or closed.

Since:
  1.7

### Nested Class Summary

Nested Classes
`static class` `AssociationChangeNotification.AssocChangeEvent` Defines the type of change event that happened to the association.

### Constructor Summary

Constructors
`protected` `AssociationChangeNotification()` Initializes a new instance of this class.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Association` `association()` Returns the association that this notification is applicable to.
`abstract AssociationChangeNotification.AssocChangeEvent` `event()` Returns the type of change event.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssociationChangeNotification

    protected AssociationChangeNotification()

Initializes a new instance of this class.

### Method Detail

#### association

    public abstract Association association()

Returns the association that this notification is applicable to.

Specified by:
  `association` in interface `Notification`
Returns:
  The association whose state has changed, or `null` if there is no association, that is CANT_START

#### event

    public abstract AssociationChangeNotification.AssocChangeEvent event()

Returns the type of change event.

Returns:
  The event